:root {
    --emerald: #00554E;
    --light: #F2F1EC;
    --sand: #EDE6D4;
    --green: #3E5B55;
}

/* Importar la fuente correctamente */
@font-face {
    font-family: 'TheSeasons';
    src: url('../fonts/theseasons.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'NewIconScript';
    src: url('../fonts/newiconscript.ttf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

html {
    scroll-behavior: smooth;
}

body {
    background: var(--light);
    font-family: 'TheSeasons', Arial, sans-serif;
    margin: 0;
    font-size: 20px;
}

button {
    background: none;
    color: var(--emerald);
    border: solid var(--emerald) 2px;
    font-family: 'Montserrat', Arial, sans-serif;
    cursor: pointer;
}

button:hover {
    background: var(--emerald);
    color: white;
    transition: background-color 0.5s;
}

hr {
    border: 1px solid #3B3831;
    color: #3B3831;
    width: 50%;
}

input[type="text"] {
    min-width: 250px;
    min-height: 30px;
}

input {
    background: none;
}

.flex-horizontal {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
}

.flex-vertical {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}

.text-right {
    text-align: right;
}

.emerald-text {
    color: var(--emerald);
}

.regular-font {
    font-family: 'Montserrat', Arial, sans-serif;
}

/* HEADER */
header {
    padding: 2%;
    position: sticky;
    top: 0;
    background: var(--emerald);
    z-index: 1000;
    /*box-shadow: 0px 2px 10px var(--sand);*/
}

/* Menú de escritorio */
header nav {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    height: 80px;
    font-size: 20px;
}

/* Enlaces */
header a {
    text-decoration: none;
    color: white;
    padding: 10px;
}

header a:hover {
    color: var(--sand);
    transition: color .2s;
}

/* Logo */
.header-img {
    width: 60px;
}


/* Ocultar el checkbox */
#menu-toggle {
    display: none;
}

/* Botón hamburguesa */
.menu-label {
    display: none;
    font-size: 30px;
    cursor: pointer;
    text-align: center;
    padding: 10px;
    position: absolute;
    right: 20px;
    top: 20px;
    z-index: 100;
}

/* HERO */
.hero {
    min-height: 700px;
    display: flex;
    align-items: center;
    flex-direction: column;
    color: var(--emerald);
    font-size: 40px;
    padding: 8% 10%;
}

.hero-logo {
    width: 16%;
}

.hero-text {
    width: auto;
}

.hero-photos {
    margin-top: 40px;
    width: 100%;
}

.big-title {
    font-size: 90px;
}

.medium-title {
    font-size: 60px;
    font-family: 'TheSeasons', Arial, sans-serif !important;
}

.cursive {
    font-family: NewIconScript, Arial sans-serif;
}

.medium-text {
    font-size: 50px;
}

.small-heading {
    font-size: 24px;
}

.medium-heading {
    font-size: 35px;
}

.text-center {
    text-align: center;
}

/* Sección de color */
.tropical {
    background-image: url('../img/tropical-section-photo.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 400px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    color: white;
    padding: 2% 8%;
    position: relative;
}

.opacity-background {
    background-color: var(--green);
    opacity: 0.9;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.tropical-photos {
    width: 50%;
    justify-self: flex-end;
    margin-right: -30px;
    z-index: 10;
}

.tropical-photos img {
    width: 100%;
}

.tropical-wedding-title {
    width: 50%;
    padding: 3%;
    margin: 0;
    align-self: center;
    z-index: 10;
}

.tropical-wedding-title img {
    height: 300px;
}

.details {
    background-image: url('../img/details-background.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    position: relative;
    padding: 10% 0;
}

.about {
    text-align: center;
}

.div-iconos-details {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-content: center;
    width: 60%;
    margin-left: 20%;
    font-size: 22px;
    font-family: 'Montserrat', Arial, sans-serif;
    text-align: center;
}

.div-iconos-details div {
    width: 33%;
}

.details img {
    width: 80%;
    padding: 0 10%;
}

.icono-details {
    width: 150px;
    margin-bottom: -20px;
}

.map-button-div {
    margin: 4% 0;
}

.big-button {
    min-height: 80px;
    font-size: 24px;
    width: 100%;
}

.map-button-div a {
    display: block;
    width: 25%;
}

.leaf {
    width: 530px;
    position: absolute;
    top: -280px;
    left: -200px;
    transform: rotate(80deg);
}

.beach-photo-background {
    /*background-image: url('../img/wallpaper-our-story.png');*/
    background-repeat: no-repeat;
    background-size: cover;
}

#dresscode {
    display: flex;
    flex-direction: row;
    min-height: 300px;
    padding: 10%;
    justify-content: center;
    align-content: center;
    position: relative;
    z-index: 10;
}

.dresscode-icons {
    width: 35%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0;
    justify-content: center;
}

.dresscode-icons img {
    margin-top: 5%;
    width: 100%;
}

.dresscode-icons p {
    margin: 0;
    line-height: 1;
    padding: 10%;
}

.dresscode-description {
    width: 65%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.dresscode-rules {
    padding: 0 12% 0 20%;
    font-family: 'Montserrat', Arial, sans-serif;
    font-size: 20px;
}

.dresscode-rules button {
    min-height: 50px;
    padding: 0 5%;
    min-width: 250px;
}

.dresscode-rules .small-heading {
    line-height: 0;
    color: var(--emerald);
    font-family: 'TheSeasons', Arial, sans-serif;
}

.dresscode-description hr {
    width: 65%;
    border: 1px solid var(--emerald);
}

.inspo {
    display: flex;
    flex-direction: row;

}

.inspo-colors {
    margin-left: 20px;
    margin-top: -10px;
}

.circle {
    width: 40px;
    height: 40px;
    background: red;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    top: 15px;
    left: 3%;
}

.our-story {
    padding-top: 200px;
    min-height: 500px;
    text-align: center;
    gap: 60px;
    padding-bottom: 100px;
    position: relative;
    z-index: 10;
}

.our-story p {
    display: inline-block;
    width: 50%;
    margin: auto;
    align-content: space-between;
    margin-top: -20px;
    font-family: Montserrat, Arial, sans-serif;
}

.our-story hr {
    width: 35%;
    border: 1px solid var(--emerald);
}

.our-story img {
    width: 60%;
    margin: auto;
}

.story {
    position: relative;
    top: 30px;
    left: -5%;
}

.countdown {
    padding: 15%;
    min-height: 300px;
    background-image: url('../img/countdown-photo.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: white;
}

.countdown-counter {
    justify-content: space-between;
    align-items: center;
}

#rsvp {
    background: #EDE6D4;
    min-height: 500px;
    text-align: center;
}

.form * {
    margin-bottom: 30px;
}

.form-message {
    color: var(--emerald);
}

#rsvp {
    background: white url("../img/rsvp-photo.png") no-repeat center;
    background-size: cover;
}

#rsvp button {
    width: 20%;
    min-height: 50px;
    font-size: 20px;
}

#rsvp p {
    margin-bottom: 40px;
}

#mesa-regalos {
    background: var(--green);
}

#mesa-regalos p {
    color: white;
}

.mesa-regalos {
    background-image: url(../img/mesa-de-regalos-background.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 500px;
    padding: 5% 0;
}

.mesa-regalos-images {
    gap: 50px;
    width: 60%;
    margin: auto;
    justify-content: space-evenly;
}

.mesa-regalos-images img {
    width: 200px;
    filter: brightness(0.7);
}

.mesa-regalos-images .flex-vertical {
    align-items: center;
    justify-content: space-between;
}

.white-button {
    min-height: 35px;
    color: white;
    border: 1px solid white;
    margin-top: 10px;
}

#itinerario {
    padding: 150px 0 0 0;
    justify-content: space-evenly;
    font-family: 'Montserrat', Arial, sans-serif;
}

.itinerario-icons {
    align-self: center;
}

.itinerario-icons img {
    width: 500px;
    top: -90px;
    position: relative;
}

.itinerario-description {
    border-left: 1px black solid;
    padding: 50px 100px;
    max-width: 30%;
}

.itinerario-description div {
    text-align: left;
}

.event {
    position: relative;
    margin: 40px 0;
}

.event .circle {
    width: 15px;
    height: 15px;
    background-color: var(--emerald); /* Color dorado */
    border-radius: 50%;
    position: absolute;
    left: -108px;
    top: 5px;
}

.event-content p {
    margin: 2px 0;
}

.transporte {
    font-size: 40px;
    font-weight: bold;
    margin: -110px 0 110px 0;
}

.hospedaje {
    padding-bottom: 100px;
}

.hospedaje-title {
    position: relative;
    z-index: 10;
}

.timeline {
    position: relative;
    max-width: 800px;
    margin: auto;
    padding: 20px 0;
    font-family: 'Montserrat', Arial, sans-serif;
}

/* Línea vertical central */
.timeline::after {
    content: '';
    position: absolute;
    width: 1px;
    background-color: var(--emerald);
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -2px;
    margin-top: -50px;
}

.timeline-item {
    margin-top: -50px;
    padding: 0 30px;
    position: relative;
    width: 50%;
}

.timeline-item .content {
    padding: 15px;
}

.timeline-item img {
    width: 100%;
    margin-bottom: 10px;
}

/* Posiciones izquierda y derecha */
.timeline-item.left {
    left: -7.3%;
    text-align: right;
}

.timeline-item.right {
    left: 49.2%;
    text-align: left;
}

/* Círculo indicador */
.timeline-item::before {
    content: '';
    position: absolute;
    top: 30px;
    width: 16px;
    height: 16px;
    background-color: var(--emerald);
    border: 4px solid var(--emerald);
    border-radius: 50%;
    z-index: 1;
}

.timeline-item.left::before {
    right: -8px;
}

.timeline-item.right::before {
    left: -8px;
}

.timeline-item button {
    min-height: 35px;
    min-width: 150px;
}

#contacto {
    background: #EDE6D4;
    min-height: 400px;
    padding: 100px;
    margin-top: 100px;
}

#contacto hr {
    width: 15%;
}

.contacto-title {
    margin-bottom: 20px;
}

#FAQ {
    max-width: 60%;
    margin: 100px auto;
}

#FAQ .question {
    font-family: Montserrat, Arial sans-serif;
    margin: 40px 0;
}

.question a {
    color: var(--emerald);
    text-decoration: underline;
}

.final-photos {
    width: 70%;
    margin: 0 15% 120px 15%;
    justify-content: space-evenly;
}

.footer {
    position: relative;
    height: 600px;
    background-image: url("../img/footer-photo.png");
    background-position: 0 -400px;
    background-size: cover;
}

.footer-text {
    z-index: 10;
    padding: 2% 15%;
    color: var(--emerald);
    font-weight: bold;
    align-items: center;
    gap: 50px;
}

.footer-text img {
    width: 200px;
    filter: brightness(0) saturate(100%) invert(20%) sepia(100%) saturate(636%) hue-rotate(128deg) brightness(90%) contrast(97%);
}

.footer-photo {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -100;
}

.whatsapp-button {
    width: 200px;
    padding: 10px;
    align-self: center;
    min-height: 50px;
    background: var(--emerald);
    color: white;
    border: 1px white solid;
}

.whatsapp-button:hover {
    background: white;
    color: var(--emerald);
    border: 1px var(--emerald) solid;
}

.counter {
    font-family: Montserrat, Arial sans-serif !important;
}

.disabled-button {
    background: darkgray;
    opacity: .5;
    color: white;
}

.disabled-button:hover {
    background: darkgray;
}

/* Modal base */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 85, 78, 0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;

    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

/* Cuando el modal está visible */
.modal.show {
    opacity: 1;
    pointer-events: auto;
}

/* Contenido del modal */
.modal-content {
    background-image: url('../img/modal-background.png');
    background-size: cover;
    background-position: center;
    padding: 2rem;
    border-radius: 20px;
    width: 80%;
    max-width: 500px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);
    position: relative;
    font-family: 'Montserrat', sans-serif;

    transform: scale(0.95);
    transition: transform 0.3s ease;
}

/* Animación al mostrar contenido */
.modal.show .modal-content {
    transform: scale(1);
}

/* Botón de cierre */
.close-button {
    position: absolute;
    top: 10px;
    right: 15px;
    border: none;
    background: none;
    font-size: 1.5rem;
    cursor: pointer;
}


@media screen and (max-width: 768px) {

    .modal-content {
        max-width: 70%;
    }

    body {
        font-size: 15px;
    }

    .header {
        padding: 0;
    }

    /* Mostrar botón hamburguesa */
    .menu-label {
        display: block;
        background: var(--emerald);
        border-radius: 5px;
        color: white;
        width: 30px;
        font-size: 20px;
    }

    /* Menú oculto por defecto */
    header nav {
        height: auto;
        overflow: hidden;
        flex-direction: column;
        background: var(--emerald);
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        text-align: center;
        padding: 0;
        transform: translateY(-100%); /* Menú fuera de vista */
        transition: all .5s ease-in-out;
    }

    #menu-toggle:checked ~ nav {
        transform: translateY(0);
        height: auto;
        padding: 10px 0;
    }

    .header-img {
        display: none;
    }

    .big-title {
        font-size: 65px;
    }

    .medium-title {
        font-size: 40px;
    }

    .hero {
        min-height: 300px;
        background-position: center -90px;
        background-repeat: no-repeat;
        background-size: cover;
        padding: 100px 2% 2% 2%;
    }

    .names {
        font-size: 40px;
    }

    .hero-text {
        line-height: 1;
        font-size: .6em;
    }

    .hero-text .cursive {
        line-height: 1.1em;
    }

    .hero-photos {
        margin-bottom: 20px;
    }

    .tropical {
        min-height: 300px;
        flex-direction: column-reverse;
        padding: 2%;
    }

    .tropical-photos {
        width: 95%;
        margin: 0;
    }

    .tropical-wedding-title {
        width: 100%;
    }

    .tropical-wedding-title img {
        height: 150px;
    }

    .tropical-wedding-title > .medium-title {
        margin: auto 0;
    }

    .tropical-title {
        font-size: 30px;
    }

    .flower-right {
        width: 40%;
        right: -10%;
        bottom: -30%;
    }

    .leaf {
        width: 380px;
        position: absolute;
        top: -220px;
        left: -200px;
        transform: rotate(80deg);
    }

    .details {
        padding-bottom: 50px;
    }

    .div-iconos-details {
        width: 100%;
        flex-direction: column;
        margin: 0;
        align-items: center;
    }

    .div-iconos-details p {
        margin: 10px auto;
    }

    .div-iconos-details div {
        width: 100%;
    }

    .icono-details {
        width: 120px;
    }

    .map-button-div {
        margin: 4% 0;
    }

    .big-button {
        min-height: 40px;
        font-size: 15px;
        width: 100%;
    }

    .map-button-div a {
        display: block;
        width: 60%;
    }

    .about {
        margin-top: 80px;
    }

    #dresscode {
        display: flex;
        flex-direction: column;
        padding: 0 0 100px;
    }

    .dresscode-icons {
        width: 100%;
        padding: 0;
        margin-bottom: 20px;
    }

    .dresscode-icons p {
        padding: 10% 10% 0 10%;
    }

    .dresscode-description {
        width: 100%;
    }

    .dresscode-rules {
        padding: 0 10%;
        font-size: 15px;
    }

    .dresscode-icons img {
        width: 80%;
    }

    .inspo {
        flex-direction: column-reverse;
        flex-wrap: wrap;
        align-items: center;
    }

    .inspo-colors {
        margin: -20px 0 30px 0;
    }

    .dresscode-rules a {
        width: 100%;
    }

    .dresscode-rules button {
        width: 100%;
    }

    .cup-icon {
        margin: 0;
    }

    .our-story {
        padding-top: 0;
        padding-bottom: 25px;
    }

    .our-story-title {
        width: 100% !important;
        margin: 0 !important;
    }

    .our-story p {
        width: 80%;
    }

    .our-story hr {
        width: 80%;
    }

    .our-story img {
        width: 90%;
    }

    .our-story .medium-title {
        font-size: 65px;
    }

    .countdown {
        background-position-x: -450px;
    }

    .countdown-counter {
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        padding: 0 5%;
    }

    .countdown-counter p {
        margin: 10px;
    }

    #rsvp {
        padding-top: 50px;
        background-position: -200px;
    }

    #rsvp button {
        width: 80%;
        font-size: 1em;
    }

    .form {
        font-size: 15px;
    }

    .form * {
        margin-bottom: 12px;
    }

    .food-restrictions {
        display: flex;
        flex-direction: column;
    }

    .food-restrictions label {
        margin-bottom: 0;
    }

    #mesa-regalos {
        padding: 0 0;
    }

    .mesa-regalos-images {
        flex-wrap: wrap;
        width: 90%;
        gap: 5px;
        flex-direction: column;
    }

    .mesa-regalos-images div {
        margin-bottom: 25px;
    }

    #itinerario {
        flex-wrap: wrap;
        padding: 40px 0;
    }

    .itinerario-icons {
        margin-bottom: -50px;
    }

    .itinerario-description {
        width: 90%;
        margin-left: 15%;
        padding: 20px 50px;
        max-width: 60%;
    }

    .itinerario-icons img {
        width: 80%;
        top: -50px;
        margin-bottom: 30px;
    }

    .timeline {
        margin-left: 15%;
    }

    .timeline::after {
        left: 10px;
    }

    .timeline-item::before {
        width: 9px;
        height: 9px;
    }

    .timeline-item {
        width: 70%;
        padding: 30px;
    }

    .timeline-item.right {
        left: 0;
        text-align: left;
    }

    .timeline-item.left {
        left: 0;
        text-align: left;
    }

    .timeline-item img {
        width: 100%;
    }

    .timeline-item.left::before,
    .timeline-item.right::before {
        left: 0;
    }

    .hospedaje {
        flex-wrap: wrap;
        flex-direction: column-reverse !important;
    }

    .transporte {
        margin-top: -80px;
    }

    .event .circle {
        left: -58px;
        top: 5px;
    }

    #contacto {
        padding: 50px 0;
    }

    .contacto-title {
        margin: auto;
    }

    #FAQ {
        max-width: 90%;
    }

    #FAQ .question {
        margin: 15px 0;
    }

    .final-photos {
        flex-direction: column;
    }

    .final-photos img {
        margin-bottom: 30px;
    }

    .footer {
        background-position: center;
        background-size: cover;
        height: 300px;
    }

    .footer-text img {
        width: 80px;
    }

    .footer-text {
        padding: 5% 5%;
        gap: 20px;
    }

    .footer-big-text {
        font-size: 50px;
    }

    .whatsapp-button:hover {
        background: var(--emerald);
        border: white 1px solid;
        color: white;
    }

    .final-photos {
        width: 90%;
        margin: auto;
    }

    a[href^="tel"] {
        color: inherit; /* Usa el color del texto padre */
        text-decoration: none; /* Quita el subrayado */
    }
}